<?php
namespace ContentNation\ActivityPub\Common;

class Tag extends APObject {
  public function __construct() {
    parent::__construct("Tag");
  }

  /**
   * fill object from json
   * @param mixed $json input
   */
  public function fromJson($json) : bool {
    if (!parent::fromJson($json)) {
      return false;
    }
    if (array_key_exists('type',$json)) {
      $this->setType($json['type']);
    }
    return true;
  }
}
